com.mapinfo.midev.data

## Interface IDataSourceDefinition

All Known Implementing Classes:
  FileDataSourceDefinition, NativeDataSourceDefinition, ShapeDataSourceDefinition

    public interface IDataSourceDefinition

Defines the properties and settings that are necessary to instantiate an `IDataSource` for a specific data provider. This interface places very few requirements on the content of a datasource definition as this information varies for each data provider implementation. Datasource definitions are supplied to the appropriate data provider when opening the datasource.

`ITableDefinition` and `IDataSourceDefinition` objects are also used for persistence to workspaces, repositories, TAB files, or other formats.

Implementations of `IDataSourceDefinition` should provide a meaningful implementation of the equals method.

### Method Summary

All Methods Instance Methods Abstract Methods
`IDataProvider` `getDataProvider()` References the data provider implementation that supports this datasource type.

### Method Detail

#### getDataProvider

    IDataProvider getDataProvider()

References the data provider implementation that supports this datasource type.

Returns:
  the data provider that supports this datasource type.